Subject: Re: Discussion of HC's Darwin Day page Monday?

From: "Arthur Jackson" <[email-masked]>
Date: Mon, 26 Jun 2006 07:02:45 -0700

Hi David,

Apologies for the delay in responding to your below message. I talked to 
Hilton and we agreed that following up on the below would be a good use of 
tonight's meeting.

Arthur
======================================
----- Original Message ----- 
From: "David Harris" <[email-masked]>
To: "Arthur Jackson" <[email-masked]>; "Arthur Jackson" 
<[email-masked]>
Cc: <[email-masked]>; "Al Dow" <[email-masked]>; "David Harris" 
<[email-masked]>
Sent: Saturday, June 24, 2006 6:31 PM
Subject: Discussion of HC's Darwin Day page Monday?

> Hi Art!
>
> Is there going to be a discussion (probably at Hilton's house) on Monday
> evening about whether/how the Hum.Com. could use the Darwin Day page to
> draw more people to Humanism?  As I told Bob Stephens and Al Dow, we get
> most of 400 people a day  at DarwinDay.org, and we have a URL that sends
> them right to the HC site with its page about the Darwin Day talks.
>
> Bob was not sure if there would be such a discussion Monday.  If there
> is, I can participate as a contribution from me to the Hum.Com.
>
> Let us know,
>
> -- 
>  David Harris, Palo Alto, California.
>                GPS location: 37.41988, -122.13388 (1984 WGS system).
>  NOTE!: NEW active account: [email-masked]
>         Active account WAS: [email-masked]
>  Phone: 1-650-856-9126 (has answering machine or me)
>  Lifetime e-mail forwarding account: [email-masked]
>  Postal ("snail mail") address: David Harris
>                                 Medintrans
>                                 455 Margarita Ave.
>                                 Palo Alto, CA  94306-2827
>
>